# Interface LinkTree

All Superinterfaces:
  `DocTree, InlineTagTree`

public interface LinkTree extends InlineTagTree
A tree node for an `@link` or `@linkplain` inline tag.

       {@link reference label}
       {@linkplain reference label}

Since:
  1.8

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface DocTree

  `DocTree.Kind`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<? extends DocTree>`
  `getLabel()`
  Returns the label, if any, of the link.
  `ReferenceTree`
  `getReference()`
  Returns the reference of the link.

  ### Methods declared in interface DocTree

  `accept, getKind`

  ### Methods declared in interface InlineTagTree

  `getTagName`

- ## Method Details

  - ### getReference

    ReferenceTree getReference()
    Returns the reference of the link.
    Returns:
      the reference

  - ### getLabel

    List<? extends DocTree> getLabel()
    Returns the label, if any, of the link.
    Returns:
      the label